gramps(1)

NAME
gramps - Genealogical Research and Analysis Management Programming System.

SYNOPSIS
gramps [--help] [--version] [-i FILENAME [-f FORMAT]] [-i ...] [-o FILENAME [-f FORMAT]] [-a ACTION]

DESCRIPTION

Gramps is an open source genealogy program. It is written in Python, using the GTK/GNOME interface.
Gramps should seem familiar to anyone who has used other geneology programs before such as Family Tree Maker for Windows(TM) or the GNU Geneweb.
It supports importing of the ever popular GEDCOM format which is used world wide by almost all other geneology software.

OPTIONS

-f FORMAT
    Explicitly specify format of FILENAME given by preceding -i or -o option. If the -f option is not given for any FILENAME, the format of that file is guessed according to its extension.
    Formats available for import are gramps (guessed if FILENAME is a directory), gedcom (guessed if FILENAME ends with .ged), and gramps-pkg (guessed if FILENAME ends with .tgz).
    Formats available for export are gramps, gedcom, gramps-pkg, wft (guessed if FILENAME ends with .wft), and iso (never guessed, always specify with -f option).

-i FILENAME
    Import data from FILENAME. For gramps format, the FILENAME is actually the name of directory under which the gramps database resides. For gedcom and gramps-pkg, the FILENAME is the name of the corresponding file.
    When more than one input file is given, each has to be preceded by -i flag. The files are imported in the specified order, i.e. -i FILE1 -i FILE2 and -i FILE2 -i FILE1 might produce different gramps IDs in the resulting database.

-o FILENAME
    Export data into FILENAME. For gramps and iso formats, the FILENAME is actually the name of directory the gramps database will be written into. For gedcom, wft, and gramps-pkg, the FILENAME is the name of the resulting file.
    When more than one output file is given, each has to be preceded by -o flag. The files are written one by one, in the specified order.

-a ACTION
    Perform ACTION on the imported data. This is done after all imports are succesfully completed. Currently available actions are summary (same as Reports->View->Summary) and check (same as Tools->Database Processing->Check and Repair).
    When more than one output action is given, each has to be preceded by -a flag. The actions are performed one by one, in the specified order.

The order of -i, -o, or -a options does not matter. The actual order always is: all imports (if any) -> all exports (if any) -> all actions (if any).

If no -i option is given, gramps will launch its main window and start the usual interactive session with the empty database (since there is no data to process, anyway).

If no -o or -a options are given, gramps will launch its main window and start the usual interactive session with the database resulted from all imports. This database resides under ~/.gramps/import directory.

The error encountered during import, export, or action, will be either dumped to stdout (if these are exceptions handled by gramps) or or to stderr (if these are not handled). Use usual shell redirections of stdout and stderr to save messages and errors in files.

EXAMPLES

To import four databases (whose formats can be determined from their names) and then check the resulting database for errors, one may type:
    gramps -i file1.ged -i file2.tgz -i ~/db3 -i file4.wft -a check

To explicitly specify the formats in the above example, append filenames with appropriate -f options:
    gramps -i file1.ged -f gedcom -i file2.tgz -f gramps-pkg -i ~/db3 -f gramps -i file4.wft -f wft -a check

To record the database resulting from all imports, supply -o flag (use -f if the filename does not allow gramps to guess the format):
    gramps -i file1.ged -i file2.tgz -o ~/new-package -f gramps-pkg

To import three databases and start interactive gramps session with the result:
    gramps -i file1.ged -i file2.tgz -i ~/db3

Finally, to start normal interactive session type:
    gramps

CONCEPTS
Supports a python-based plugin system, allowing import and export writers, report generators, tools, and display filters to be added without modification of the main program.

Data is stored in an gzip'ed XML format

Instead of generating direct printer output, report generators target other systems, such as Open Office, AbiWord, HTML or LaTeX to allow the user to modify the format to suit his or her needs.

KNOWN BUGS AND LIMITATIONS
Currently, Gramps loads all data into memory, which tends to bog down the system for large databases (over 15000 people for a typical system). This will be addressed with the 1.2 release by incorporating a database backend. The database backend should dramatically improve both speed and memory usage.

Direct printing is not currently supported. This is planned to be fixed after the stable 1.0 release by using gnome-print architechture.

PS and PDF reports output garbage in place of unicode characters. This should also be solved when we move to gnome-print. In the meantime, a decent workaround is to produce reports in OpenOffice.org format and then export into PDF from withing OpenOffice.org application.

FILES

${PREFIX}/bin/gramps
${PREFIX}/share/gramps
${HOME}/.gramps

AUTHORS
Donald Allingham <dallingham@users.sourceforge.net>
http://gramps.sourceforge.net

This manpage was originally written by:
Brandon L. Griffith <brandon@debian.org>
for inclusion in the Debian GNU/Linux system.

This manpage is currently maintained by:
Alex Roitman <shura@alex.neuro.umn.edu>

DOCUMENTATION
The user documentation is available through standard GNOME Help browser in the form of Gramps Manual. The manual is also available in XML format as gramps-manual.xml under doc/gramps-manual/$LANG in the official source distribution.

The developer documentation can be found in the Docs section of http://sourceforge.net/project/gramps site.